%define name gnozip
%define version 0.1.3

Summary: Graphical interface for compression utilities
Name: %{name}
Version: %{version}
Release: %mkrel 11
License: GPL
Group: Archiving/Compression
BuildRequires: libx11-devel
BuildRequires: gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
Source: http://www.geocities.com/SiliconValley/9757/download/%{name}-%{version}.tar.bz2
Source2: %{name}.png.bz2
Source3: %{name}-32.png.bz2
Source4: %{name}-48.png.bz2
# (etienne) 0.1.3-1mdk 
Patch0: gnozip-0.1.3-pixmapdir.patch
Patch1: gnozip-0.1.3-gcc3.4.patch
URL: http://www.geocities.com/SiliconValley/9757/gnozip.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GnoZip aims to be the WinZip(tm) of the Gnome environment providing  graphical
interface to the most common compression utilities.

%prep
%setup -q
%patch0 -p 1 -b .pixmapdir
%patch1 -p 1 -b .gcc3.4


%build
%configure

%make CFLAGS="$RPM_OPT_FLAGS" ac_default_prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT%{_prefix} install

%{find_lang} %{name}

# menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnozip
Comment=A Winzip(tm) like application which supports gzip and bzip compresssion format
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;X-MandrivaLinux-System-Archiving-Compression;
EOF

# icon
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}

bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/*



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.3-11mdv2009.0
+ Revision: 246480
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.3-9mdv2008.1
+ Revision: 136453
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:53:16 (55913)
- bump release

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:50:17 (55912)
- mkrelisation
- xdg menu

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:35:24 (55911)
Import gnozip

* Thu Dec 15 2005 Arnaud de Lorbeau <adelorbeau@mandriva.com> 0.1.3-8mdk
- rebuild

* Wed Sep 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.1.3-7mdk
- rebuild
- patch gcc3.4

